嵌入式爱好者

查看: 216|回复: 3

[Linux] linux内核编译出错

[复制链接]

1

主题

2

帖子

8

积分

i.MX6UL通行证

扫一扫,手机访问本帖
发表于 2018-2-5 21:14:35 | 显示全部楼层 |阅读模式
Makefile:527: recipe for target 'scripts' failed
make: *** [scripts] Error 2
  CC      scripts/mod/empty.o
/opt/freescale/usr/local/gcc-4.6.2-glibc-2.13-linaro-multilib-2011.12/fsl-linaro-toolchain/bin/../libexec/gcc/arm-fsl-linux-gnueabi/4.6.2/cc1: error while loading shared libraries: libz.so.1: cannot open shared object file: No such file or directory
scripts/Makefile.build:308: recipe for target 'scripts/mod/empty.o' failed
make[2]: *** [scripts/mod/empty.o] Error 1
scripts/Makefile.build:455: recipe for target 'scripts/mod' failed
make[1]: *** [scripts/mod] Error 2
Makefile:527: recipe for target 'scripts' failed
make: *** [scripts] Error 2

直接按照手册里面搭建的编译环境,然后将资料里面的源码解压后编译出错
请问那个高人能帮忙指导一下

回复

使用道具 举报

0

主题

14

帖子

42

积分

发表于 2018-2-6 14:45:28 | 显示全部楼层
你可以尝试使用飞凌提供的标准环境。链接:https://pan.baidu.com/s/1hr9PA3i 密码:m6x8
用这个环境如果编译还有问题 那有可能是源码问题

点评回复 支持 反对

使用道具 举报

1

主题

2

帖子

8

积分

i.MX6UL通行证

 楼主| 发表于 2018-2-7 22:16:39 | 显示全部楼层
版主,我在使用setup_env,sh搭建编译环境时,系统提示
./setup_env.sh: line 24: syntax error: unexpected end of file
我使用的是Ubuntu16.04 64bit版本

点评

这个提示不影响正常使用,但不建议用这个版本的Ubuntu,版本高可能导致库不兼容,建议用和飞凌一致的版本。  详情 回复 发表于 2018-2-8 09:59
点评回复 支持 反对

使用道具 举报

0

主题

14

帖子

42

积分

发表于 2018-2-8 09:59:13 | 显示全部楼层
gdwy_yyb 发表于 2018-2-7 22:16
版主,我在使用setup_env,sh搭建编译环境时,系统提示
./setup_env.sh: line 24: syntax error: unexpecte ...

这个提示不影响正常使用,但不建议用这个版本的Ubuntu,版本高可能导致库不兼容,建议用和飞凌一致的版本。
点评回复 支持 反对

使用道具 举报

*滑动验证:
您需要登录后才可以回帖 登录 | 立即注册

本版积分规则

QQ|手机版|小黑屋|飞凌嵌入式 ( 冀ICP备12004394号-1

GMT+8, 2018-2-19 04:05

Powered by Discuz! X3.2

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表